APIThreads
Update an internal comment
Edit an internal comment. Requires the comments:write scope.
PATCH
/threads/{thread_id}/comments/{comment_id}curl -X PATCH "https://productlane.com/api/v2/threads/{thread_id}/comments/{comment_id}" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"content": "string",
"attachments": [
{
"Name": "string",
"ContentType": "string"
}
]
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
thread_idstringpathrequiredcomment_idstringpathrequired
Body
application/json
contentstringattachmentsobject[]
Response
application/json
Successful response
idstringrequiredcreated_atstringrequiredupdated_atstringrequiredcontentstringrequiredattachmentsany[]requiredthread_idstringrequireduser_idstring | nullrequired
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"content": "string",
"attachments": [
null
],
"thread_id": "string",
"user_id": "string"
}